# MongoDB\BSON\RegexInterface::getPattern

(mongodb >=1.3.0)

MongoDB\BSON\RegexInterface::getPattern — Returns the RegexInterface's pattern

### Description

abstract public MongoDB\BSON\RegexInterface::getPattern ( void ) : string

### Parameters

This function has no parameters.

### Return Values

Returns the RegexInterface's pattern.

### See Also

- MongoDB\BSON\Regex::getPattern() - Returns the Regex's pattern